Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class EntityOverRow

`java.lang.Object
oracle.jbo.server.RowImpl
oracle.jbo.server.EntityImpl
oracle.jbo.server.EntityOverRow`

All Implemented Interfaces:
  AttributeList, DomainOwnerInterface, Entity, java.util.EventListener, Row, TransactionListener, oracle.jbo.server.TransactionManager, TransactionPostListener, ValidationListener, ValidationManager, XMLInterface

public class EntityOverRow
extends EntityImpl

Field Summary

Fields inherited from class oracle.jbo.server.EntityImpl
`DML_DELETE, DML_INSERT, DML_UPDATE, MAXATTRCONST, ORACLE_ROWID_COLUMN, XML_CI_CHANGED, XML_PK_CHANGED, XML_PK_CHANGED_YES`

Fields inherited from interface oracle.jbo.server.Entity
`STATUS_DEAD, STATUS_DELETED, STATUS_MODIFIED, STATUS_UNMODIFIED`

Fields inherited from interface oracle.jbo.Row
`REFRESH_CONTAINEES, REFRESH_FORGET_NEW_ROWS, REFRESH_REMOVE_NEW_ROWS, REFRESH_UNDO_CHANGES, REFRESH_WITH_DB_FORGET_CHANGES, REFRESH_WITH_DB_ONLY_IF_UNCHANGED, STATUS_INITIALIZED, STATUS_NEW`

Fields inherited from interface oracle.jbo.XMLInterface
`XML_IGNORE_DEPTH_COUNT, XML_OPT_ALL_ROWS, XML_OPT_ASSOC_CONSISTENT, XML_OPT_CHANGES_ONLY, XML_OPT_LIMIT_RANGE`

Method Summary
`protected SparseArrayInterface` | `initData(int attrsCount)`

Methods inherited from class oracle.jbo.server.EntityImpl
`addToTransactionManager, addToValidationListeners, addTransactionPostListener, addTransactionPostListenerNoCheck, afterCommit, afterRemove, afterRollback, appendXMLElementNodes, appendXMLElementNodesForAttrs, beforeCommit, beforeRollback, bindDMLStatement, bindWhereClause, buildDMLStatement, buildRefreshSQL, buildWhereClause, checkConsistency, clearAttributeException, compare, create, createAssociationAccessorRS, createAssociationAccessorVO, createEntityViewLinkAccessorRS, createEntityViewLinkAccessorVO, doDML, doDMLForCascadeUpdate, doDMLWithLOBs, domainToBeModified, donePostingAll, doRefreshSQL, doSelect, findAssociationAccessorVO, findEntityViewLinkAccessorVO, getAttribute, getAttribute, getAttributeChangedCount, getAttributeCount, getAttributeIndexOf, getAttributeInternal, getAttributeNames, getAttributeValue, getAttributeValues, getAttrInvokeAccessor, getChangeIndicator, getContainerEntity, getDBTransaction, getDynamicAttributeCount, getDynamicAttributeValue, getEntityCache, getEntityDef, getEntityState, getHistoryContextForAttribute, getKey, getPKBasedRef, getPostedAttribute, getPostState, getPrimaryKey, getRefreshSQLKeyAttrs, getSQLBuilder, getStateAsString, getStructureDef, getTransactionListeners, getTransactionListenersList, getTransPostHandle, getValidationListeners, getValidationListenersList, handleActivatedRowNotFound, handlePostChangesError, hasAttributeException, hasUpdatePrivilege, isAttributeChanged, isAttributeChangedInTransaction, isAttributePopulated, isAttributeUpdateable, isDead, isInCache, isInvalid, isLocked, isPostedToDB, isTransientTransactionListener, isTransientTransactionPostListener, isValid, lock, lockTopLevelEntity, notifyAttributesChanged, notifyAttributesChanged, notifyEntityActivated, populateAttribute, populateAttribute, populateAttribute, populateAttributeAsChanged, postChanges, prepareForBatchDML, prepareForDML, readAttrsFromXML, readXML, refresh, refreshFKInNewContainees, registerAttributeException, remove, removeAndRetain, removeFromCollection, removeTransactionPostListener, resetPKBasedRef, revert, setAttribute, setAttribute, setAttributeChanged, setAttributeInternal, setAttrInvokeAccessor, setDynamicAttributeValue, setInvalid, setLocked, setNewRowState, setPostedToDB, setTransPostHandle, toString, validate, validateEntity, vetoRemoveWithDetails`

Methods inherited from class oracle.jbo.server.RowImpl
`clearAllExceptions, clearAttributeException, clearRowExceptions, createXMLDefinition, findAttrAndGetIndex, getAllExceptions, getAttributeInternal, getRowExceptions, hasAttributeException, hasDeferredExceptions, printXMLDefinition, readXML, registerRowException, setAttributeInternal, writeXML, writeXML, writeXML, writeXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.jbo.XMLInterface
`readXML, writeXML, writeXML, writeXML, writeXML`

Method Detail

### initData

    protected SparseArrayInterface initData(int attrsCount)

  Overrides:
    `initData` in class `EntityImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.